Skip to navigation

Update an existing Shared Custom Field Association

View as Markdown

You can change the required or the editable_with_roles attributes. Everything else cannot be changed.

The object_type in the URL can be either:

  • lead when editing the association with the Lead object.
  • contact when editing the association with the Contact object.
  • opportunity when editing the association with the Opportunity object.
  • custom_activity_type/<catype_id> when editing the association with a specific Custom Activity Type.
  • custom_object_type/<cotype_id> when editing the association with a specific Custom Object Type.

Authentication

AuthorizationBasic
Use your API key as the username and leave the password empty.
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

scf_idstringRequired
object_typestringRequired

Request

This endpoint expects any.

Response

Successful response

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error